#include <iostream>

using namespace std;

int main()
{
    int p,q,r;
    int rez=0;
    int poc,kr;
    cin>>p;
    cin>>q;
    cin>>r;
    cin>>poc;
    cin>>kr;
    int i=poc;
    if (p==1||q==1||r==1){
        cout<<0<<endl;
        return 0;
    }
    if(p>q&&p>r){
        if(poc<q*r){
            i=q*r;
        }
    }
    else if(q>r&&q>p){
        if(poc<p*r){
            i=p*r;
        }
    }
    else{
        if(poc<q*r){
            i=q*r;
        }
    }
    for(;i<kr;i++){
        if(i%(p*q)==0 || i%(p*r)==0 || i%(q*r)==0) rez++;
    }
    cout<<rez<<endl;
    return 0;
}